Name:          whatsdesk-bin
Version:       0.3.9
Release:       1mamba
Summary:       Unofficial client of WhatsApp (upstream binary distribution)
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.com/zerkc/whatsdesk/
Source:        https://zerkc.gitlab.io/whatsdesk/whatsdesk_%{version}_amd64.deb
Source1:       whatsdesk-LICENSE
License:       MIT
## AUTOBUILDREQ-BEGIN
#libffmpeg.so()(64bit): unidentified build requirement
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrandr-devel
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-atk-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
BuildRequires: libdbus-devel
BuildRequires: libdrm-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libmesa-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpango-devel
BuildRequires: libwayland-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
## AUTOBUILDREQ-END
BuildRequires: libarchive-tools

%description
WhatsDesk is a unofficial client of whatsapp.
This project is only inserting an instance of Whatsapp Web in an electron app and adds/enables desktop notifications.
This package provides the upstrim binary distribution repackaged.

%debug_package

%global __provides_exclude_from ^/opt/whatsdesk/.*$

%prep
%setup -q -c %{name}-%{version} -T
bsdtar -xv -f %{SOURCE0}
tar xf data.tar.xz
cp %{SOURCE1} LICENSE

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{_bindir}
cp -a usr opt %{buildroot}

ln -s /opt/whatsdesk/whatsdesk %{buildroot}%{_bindir}/whatsdesk
  
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/whatsdesk
%{_datadir}/applications/whatsdesk.desktop
%dir /opt/whatsdesk
/opt/whatsdesk/*
%{_docdir}/whatsdesk/changelog.gz
%{_datadir}/icons/hicolor/*/apps/whatsdesk.png
%doc LICENSE

%changelog
* Fri Sep 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.9-1mamba
- package created using the webbuild interface
